---
title: MediaKeyStatusMap.get()
slug: Web/API/MediaKeyStatusMap/get
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - get()
---
<p>{{APIRef("MediaKeyStatusMap")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>get</code></strong> property of the {{domxref("MediaKeyStatusMap")}} interface returns the value associated with the given key, or <code>undefined</code> if there is none.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>value</em> = <em>mediaKeyStatusMap</em>.get(key);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>key</dt>
 <dd>The key whose value you want returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The value associated with the given key, or <code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.get")}}</p>
</div>
